Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-9326

Support for systemd on Linux Mint 18 & 19

    XMLWordPrintable

    Details

    • Template:
      PUP Bug Template
    • Team:
      Coremunity
    • Sprint:
      Platform Core KANBAN
    • Release Notes:
      New Feature
    • Release Notes Summary:
      LinuxMint support added for services. Services on LinuxMint 18 and newer will default to systemd, and 17 and older will default to upstart.
    • QA Risk Assessment:
      Needs Assessment

      Description

      Linux Mint converted to using systemd as it's init system with the release of version 18. As it is now, both Linux Mint 18 and Linux Mint 19, by default, fail runs that involve service resources due to Puppet trying to use upstart.

        Attachments

          Activity

            People

            Assignee:
            Unassigned
            Reporter:
            hsnodgrass3 Heston Snodgrass
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Zendesk Support